Summary: Lure of the temptress - a game for ScummVM
Name: lure-of-the-temptress
Version: 1.1
Release: 3%{?dist}
License: unknown
Group: Amusements/Games
Source0: lure-%{version}.zip
Source1: lure-fr-%{version}.zip
Source2: %{name}.png
Source3: %{name}.desktop
Source4: %{name}-fr.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: scummvm
BuildRequires: unzip
BuildArch: noarch

%description
Lure of the temptress

%prep
%setup -q -a 1 -c -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/games/%{name}
cp lure/*.vga $RPM_BUILD_ROOT/usr/share/games/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/games/%{name}-fr
cp lure-fr/*.VGA $RPM_BUILD_ROOT/usr/share/games/%{name}-fr/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE4} $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}
cp lure/LICENSE.txt lure/Manual.pdf lure/README lure/notes.txt \
   $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp lure-fr/Manual.pdf \
   $RPM_BUILD_ROOT/usr/share/doc/%{name}/Manual-fr.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/games/%{name}
/usr/share/games/%{name}-fr
/usr/share/pixmaps/%{name}.png
/usr/share/applications/%{name}.desktop
/usr/share/applications/%{name}-fr.desktop
%doc /usr/share/doc/%{name}

%changelog
* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 1.1-3
- Update the prep rpm spec stage for F27.

* Mon Jun  4 2012 Philippe Troin <phil@fifi.org> - 1.1-2
- Drop the icon extension in .desktop file.

* Sat Jan 17 2009 Philippe Troin <phil@fifi.org> - 1.1-1
- Created.
